Loading...
Searching...
No Matches
net::Net Interface Reference

Network configuration interface. More...

`import <Net.idl;`

## Public Member Functions

Info | getInfo ()
| Retrieve information about all network interfaces.
Settings | getSettings ()
| Retrieve the current network interface settings.
int | setSettings (in Settings settings)
| Update the network interface settings.
vector< PortForwardingProtocolMapping > | getPortForwardingProtocolMappings ()
| Retrieve the list of port forwarding protocol mappings.

## Public Attributes

constant int | SUCCESS = 0
| Success code.
constant int | ERR_DNS_TOO_MANY_SERVERS = 100
| DNS parameter errors.
constant int | ERR_DNS_INVALID_SERVER = 101
constant int | ERR_DNS_TOO_MANY_SEARCH_SUFFIXES = 102
constant int | ERR_DNS_INVALID_SEARCH_SUFFIX = 103
constant int | ERR_ROUTING_IPV4_INVALID_DFLT_GATEWAY_ADDR = 200
| routing parameter errors
constant int | ERR_ROUTING_IPV6_INVALID_DFLT_GATEWAY_ADDR = 201
constant int | ERR_ROUTING_IPV4_INVALID_DEST_ADDR = 202
constant int | ERR_ROUTING_IPV6_INVALID_DEST_ADDR = 203
constant int | ERR_ROUTING_IPV4_INVALID_DEST_PREFIX_LEN = 204
constant int | ERR_ROUTING_IPV6_INVALID_DEST_PREFIX_LEN = 205
constant int | ERR_ROUTING_IPV4_INVALID_NEXTHOP_ADDR = 206
constant int | ERR_ROUTING_IPV6_INVALID_NEXTHOP_ADDR = 207
constant int | ERR_ROUTING_IPV4_INVALID_INTERFACE = 208
constant int | ERR_ROUTING_IPV6_INVALID_INTERFACE = 209
constant int | ERR_ROUTING_IPV4_DEST_IS_NO_NETWORK_ADDR = 210
constant int | ERR_ROUTING_IPV6_DEST_IS_NO_NETWORK_ADDR = 211
constant int | ERR_ROUTING_IPV4_DEST_IS_DUPLICATE = 212
constant int | ERR_ROUTING_IPV6_DEST_IS_DUPLICATE = 213
constant int | ERR_ROUTING_IPV4_NO_NEXTHOP_OR_INTERFACE = 214
constant int | ERR_ROUTING_IPV6_NO_NEXTHOP_OR_INTERFACE = 215
constant int | ERR_ROUTING_IPV4_NEXTHOP_AND_INTERFACE_SET = 216
constant int | ERR_ROUTING_IPV6_NEXTHOP_AND_INTERFACE_SET = 217
constant int | ERR_PF_INVALID_PRIMARY_UNIT_DOWNSTREAM_INTERFACE = 300
| port forwarding parameter errors
constant int | ERR_PF_NO_WORKING_PRIMARY_UNIT_UPSTREAM_INTERFACE = 301
constant int | ERR_PF_NOT_SUPPORTED = 302
constant int | ERR_IF_IPV4_INVALID_CONFIG_METHOD = 400
| interface common parameter errors
constant int | ERR_IF_IPV6_INVALID_CONFIG_METHOD = 401
constant int | ERR_IF_IPV4_INVALID_STATIC_ADDR = 402
constant int | ERR_IF_IPV6_INVALID_STATIC_ADDR = 403
constant int | ERR_IF_IPV4_INVALID_STATIC_PREFIX_LEN = 404
constant int | ERR_IF_IPV6_INVALID_STATIC_PREFIX_LEN = 405
constant int | ERR_IF_IPV4_INVALID_DHCP_PREF_HOSTNAME = 406
constant int | ERR_IF_IPV6_INVALID_DHCP_PREF_HOSTNAME = 407
constant int | ERR_IF_EAP_INVALID_IDENTITY = 408
constant int | ERR_IF_EAP_INVALID_PASSWORD = 409
constant int | ERR_IF_EAP_INVALID_CLIENT_CERT = 410
constant int | ERR_IF_EAP_INVALID_CLIENT_PRIV_KEY_OR_PWD = 411
constant int | ERR_IF_EAP_CLIENT_CERT_PRIV_KEY_MISMATCH = 412
constant int | ERR_IF_EAP_INVALID_CA_CERT = 413
constant int | ERR_IF_EAP_CA_CERT_VERIFY_FAILED = 414
constant int | ERR_IF_EAP_INVALID_AUTH_SERVER_NAME = 415
constant int | ERR_ETH_IF_UNSUPPORTED_LINKMODE = 500
| Ethernet interface parameter errors.
constant int | ERR_ETH_IF_INVALID_MTU = 501
constant int | ERR_WLAN_IF_INVALID_SSID = 600
| WLAN interface parameter errors.
constant int | ERR_WLAN_IF_INVALID_BSSID = 601
constant int | ERR_WLAN_IF_INVALID_PSK = 602
constant int | ERR_WLAN_IF_INVALID_MTU = 603
constant int | ERR_WLAN_IF_NOT_SUPPORTED = 604
constant int | ERR_BRIDGE_IF_NOT_SUPPORTED = 700
| BRIDGE interface parameter errors.

## Detailed Description

Network configuration interface.

Definition at line 367 of file Net.idl.

## Member Function Documentation

## getInfo()

Info net::Net::getInfo | ( |  | ) |

Retrieve information about all network interfaces.

Returns
  Current network information

## getPortForwardingProtocolMappings()

vector< PortForwardingProtocolMapping > net::Net::getPortForwardingProtocolMappings | ( |  | ) |

Retrieve the list of port forwarding protocol mappings.

Returns
  Port forwarding protocol mappings

## getSettings()

Settings net::Net::getSettings | ( |  | ) |

Retrieve the current network interface settings.

Returns
  Settings for all supported network interfaces

## setSettings()

int net::Net::setSettings | ( | in Settings | settings | ) |

Update the network interface settings.

Parameters

  settings | New network settings

Returns
  0 if OK
  non-zero in case of error (see error constants above)

## Member Data Documentation

## ERR_BRIDGE_IF_NOT_SUPPORTED

constant int net::Net::ERR_BRIDGE_IF_NOT_SUPPORTED = 700

BRIDGE interface parameter errors.

Definition at line 433 of file Net.idl.

## ERR_DNS_INVALID_SEARCH_SUFFIX

constant int net::Net::ERR_DNS_INVALID_SEARCH_SUFFIX = 103

Definition at line 376 of file Net.idl.

## ERR_DNS_INVALID_SERVER

constant int net::Net::ERR_DNS_INVALID_SERVER = 101

Definition at line 374 of file Net.idl.

## ERR_DNS_TOO_MANY_SEARCH_SUFFIXES

constant int net::Net::ERR_DNS_TOO_MANY_SEARCH_SUFFIXES = 102

Definition at line 375 of file Net.idl.

## ERR_DNS_TOO_MANY_SERVERS

constant int net::Net::ERR_DNS_TOO_MANY_SERVERS = 100

DNS parameter errors.

Definition at line 373 of file Net.idl.

## ERR_ETH_IF_INVALID_MTU

constant int net::Net::ERR_ETH_IF_INVALID_MTU = 501

Definition at line 423 of file Net.idl.

## ERR_ETH_IF_UNSUPPORTED_LINKMODE

constant int net::Net::ERR_ETH_IF_UNSUPPORTED_LINKMODE = 500

Ethernet interface parameter errors.

Definition at line 422 of file Net.idl.

## ERR_IF_EAP_CA_CERT_VERIFY_FAILED

constant int net::Net::ERR_IF_EAP_CA_CERT_VERIFY_FAILED = 414

Definition at line 418 of file Net.idl.

## ERR_IF_EAP_CLIENT_CERT_PRIV_KEY_MISMATCH

constant int net::Net::ERR_IF_EAP_CLIENT_CERT_PRIV_KEY_MISMATCH = 412

Definition at line 416 of file Net.idl.

## ERR_IF_EAP_INVALID_AUTH_SERVER_NAME

constant int net::Net::ERR_IF_EAP_INVALID_AUTH_SERVER_NAME = 415

Definition at line 419 of file Net.idl.

## ERR_IF_EAP_INVALID_CA_CERT

constant int net::Net::ERR_IF_EAP_INVALID_CA_CERT = 413

Definition at line 417 of file Net.idl.

## ERR_IF_EAP_INVALID_CLIENT_CERT

constant int net::Net::ERR_IF_EAP_INVALID_CLIENT_CERT = 410

Definition at line 414 of file Net.idl.

## ERR_IF_EAP_INVALID_CLIENT_PRIV_KEY_OR_PWD

constant int net::Net::ERR_IF_EAP_INVALID_CLIENT_PRIV_KEY_OR_PWD = 411

Definition at line 415 of file Net.idl.

## ERR_IF_EAP_INVALID_IDENTITY

constant int net::Net::ERR_IF_EAP_INVALID_IDENTITY = 408

Definition at line 412 of file Net.idl.

## ERR_IF_EAP_INVALID_PASSWORD

constant int net::Net::ERR_IF_EAP_INVALID_PASSWORD = 409

Definition at line 413 of file Net.idl.

## ERR_IF_IPV4_INVALID_CONFIG_METHOD

constant int net::Net::ERR_IF_IPV4_INVALID_CONFIG_METHOD = 400

interface common parameter errors

Definition at line 404 of file Net.idl.

## ERR_IF_IPV4_INVALID_DHCP_PREF_HOSTNAME

constant int net::Net::ERR_IF_IPV4_INVALID_DHCP_PREF_HOSTNAME = 406

Definition at line 410 of file Net.idl.

## ERR_IF_IPV4_INVALID_STATIC_ADDR

constant int net::Net::ERR_IF_IPV4_INVALID_STATIC_ADDR = 402

Definition at line 406 of file Net.idl.

## ERR_IF_IPV4_INVALID_STATIC_PREFIX_LEN

constant int net::Net::ERR_IF_IPV4_INVALID_STATIC_PREFIX_LEN = 404

Definition at line 408 of file Net.idl.

## ERR_IF_IPV6_INVALID_CONFIG_METHOD

constant int net::Net::ERR_IF_IPV6_INVALID_CONFIG_METHOD = 401

Definition at line 405 of file Net.idl.

## ERR_IF_IPV6_INVALID_DHCP_PREF_HOSTNAME

constant int net::Net::ERR_IF_IPV6_INVALID_DHCP_PREF_HOSTNAME = 407

Definition at line 411 of file Net.idl.

## ERR_IF_IPV6_INVALID_STATIC_ADDR

constant int net::Net::ERR_IF_IPV6_INVALID_STATIC_ADDR = 403

Definition at line 407 of file Net.idl.

## ERR_IF_IPV6_INVALID_STATIC_PREFIX_LEN

constant int net::Net::ERR_IF_IPV6_INVALID_STATIC_PREFIX_LEN = 405

Definition at line 409 of file Net.idl.

## ERR_PF_INVALID_PRIMARY_UNIT_DOWNSTREAM_INTERFACE

constant int net::Net::ERR_PF_INVALID_PRIMARY_UNIT_DOWNSTREAM_INTERFACE = 300

port forwarding parameter errors

Definition at line 399 of file Net.idl.

## ERR_PF_NO_WORKING_PRIMARY_UNIT_UPSTREAM_INTERFACE

constant int net::Net::ERR_PF_NO_WORKING_PRIMARY_UNIT_UPSTREAM_INTERFACE = 301

Definition at line 400 of file Net.idl.

## ERR_PF_NOT_SUPPORTED

constant int net::Net::ERR_PF_NOT_SUPPORTED = 302

Definition at line 401 of file Net.idl.

## ERR_ROUTING_IPV4_DEST_IS_DUPLICATE

constant int net::Net::ERR_ROUTING_IPV4_DEST_IS_DUPLICATE = 212

Definition at line 391 of file Net.idl.

## ERR_ROUTING_IPV4_DEST_IS_NO_NETWORK_ADDR

constant int net::Net::ERR_ROUTING_IPV4_DEST_IS_NO_NETWORK_ADDR = 210

Definition at line 389 of file Net.idl.

## ERR_ROUTING_IPV4_INVALID_DEST_ADDR

constant int net::Net::ERR_ROUTING_IPV4_INVALID_DEST_ADDR = 202

Definition at line 381 of file Net.idl.

## ERR_ROUTING_IPV4_INVALID_DEST_PREFIX_LEN

constant int net::Net::ERR_ROUTING_IPV4_INVALID_DEST_PREFIX_LEN = 204

Definition at line 383 of file Net.idl.

## ERR_ROUTING_IPV4_INVALID_DFLT_GATEWAY_ADDR

constant int net::Net::ERR_ROUTING_IPV4_INVALID_DFLT_GATEWAY_ADDR = 200

routing parameter errors

Definition at line 379 of file Net.idl.

## ERR_ROUTING_IPV4_INVALID_INTERFACE

constant int net::Net::ERR_ROUTING_IPV4_INVALID_INTERFACE = 208

Definition at line 387 of file Net.idl.

## ERR_ROUTING_IPV4_INVALID_NEXTHOP_ADDR

constant int net::Net::ERR_ROUTING_IPV4_INVALID_NEXTHOP_ADDR = 206

Definition at line 385 of file Net.idl.

## ERR_ROUTING_IPV4_NEXTHOP_AND_INTERFACE_SET

constant int net::Net::ERR_ROUTING_IPV4_NEXTHOP_AND_INTERFACE_SET = 216

Definition at line 395 of file Net.idl.

## ERR_ROUTING_IPV4_NO_NEXTHOP_OR_INTERFACE

constant int net::Net::ERR_ROUTING_IPV4_NO_NEXTHOP_OR_INTERFACE = 214

Definition at line 393 of file Net.idl.

## ERR_ROUTING_IPV6_DEST_IS_DUPLICATE

constant int net::Net::ERR_ROUTING_IPV6_DEST_IS_DUPLICATE = 213

Definition at line 392 of file Net.idl.

## ERR_ROUTING_IPV6_DEST_IS_NO_NETWORK_ADDR

constant int net::Net::ERR_ROUTING_IPV6_DEST_IS_NO_NETWORK_ADDR = 211

Definition at line 390 of file Net.idl.

## ERR_ROUTING_IPV6_INVALID_DEST_ADDR

constant int net::Net::ERR_ROUTING_IPV6_INVALID_DEST_ADDR = 203

Definition at line 382 of file Net.idl.

## ERR_ROUTING_IPV6_INVALID_DEST_PREFIX_LEN

constant int net::Net::ERR_ROUTING_IPV6_INVALID_DEST_PREFIX_LEN = 205

Definition at line 384 of file Net.idl.

## ERR_ROUTING_IPV6_INVALID_DFLT_GATEWAY_ADDR

constant int net::Net::ERR_ROUTING_IPV6_INVALID_DFLT_GATEWAY_ADDR = 201

Definition at line 380 of file Net.idl.

## ERR_ROUTING_IPV6_INVALID_INTERFACE

constant int net::Net::ERR_ROUTING_IPV6_INVALID_INTERFACE = 209

Definition at line 388 of file Net.idl.

## ERR_ROUTING_IPV6_INVALID_NEXTHOP_ADDR

constant int net::Net::ERR_ROUTING_IPV6_INVALID_NEXTHOP_ADDR = 207

Definition at line 386 of file Net.idl.

## ERR_ROUTING_IPV6_NEXTHOP_AND_INTERFACE_SET

constant int net::Net::ERR_ROUTING_IPV6_NEXTHOP_AND_INTERFACE_SET = 217

Definition at line 396 of file Net.idl.

## ERR_ROUTING_IPV6_NO_NEXTHOP_OR_INTERFACE

constant int net::Net::ERR_ROUTING_IPV6_NO_NEXTHOP_OR_INTERFACE = 215

Definition at line 394 of file Net.idl.

## ERR_WLAN_IF_INVALID_BSSID

constant int net::Net::ERR_WLAN_IF_INVALID_BSSID = 601

Definition at line 427 of file Net.idl.

## ERR_WLAN_IF_INVALID_MTU

constant int net::Net::ERR_WLAN_IF_INVALID_MTU = 603

Definition at line 429 of file Net.idl.

## ERR_WLAN_IF_INVALID_PSK

constant int net::Net::ERR_WLAN_IF_INVALID_PSK = 602

Definition at line 428 of file Net.idl.

## ERR_WLAN_IF_INVALID_SSID

constant int net::Net::ERR_WLAN_IF_INVALID_SSID = 600

WLAN interface parameter errors.

Definition at line 426 of file Net.idl.

## ERR_WLAN_IF_NOT_SUPPORTED

constant int net::Net::ERR_WLAN_IF_NOT_SUPPORTED = 604

Definition at line 430 of file Net.idl.

## SUCCESS

constant int net::Net::SUCCESS = 0

Success code.

Definition at line 370 of file Net.idl.

The documentation for this interface was generated from the following file:

- Net.idl